#pragma once

#include <list>
#include <cstdint>

namespace game{

class withGui
{
public:
    withGui();
    virtual ~withGui();

    virtual void onGui() noexcept = 0;

    static void showGui() noexcept;
private:
    static std::list<withGui*> guiList;
protected:
    static uint32_t windowCount;
    static void* currentlyShown;
};

}
